<?php
/**
 * OffersApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OffersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Offers.
 *
 * Offers
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\OffersClient;

use \Ensi\OffersClient\Configuration;
use \Ensi\OffersClient\ApiException;
use \Ensi\OffersClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * OffersApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\OffersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class OffersApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for getOffer
     *
     * Запрос оффера по ID.
     *
     */
    public function testGetOffer()
    {
    }

    /**
     * Test case for migrateOffers
     *
     * Запуск синхронизации состояния офферов относительно PIM и складов.
     *
     */
    public function testMigrateOffers()
    {
    }

    /**
     * Test case for patchOffer
     *
     * Запрос на обновление отдельных полей оффера.
     *
     */
    public function testPatchOffer()
    {
    }

    /**
     * Test case for searchOffers
     *
     * Поиск офферов, удовлетворяющих фильтру.
     *
     */
    public function testSearchOffers()
    {
    }
}
